
Redmine - Patch #21611

Do not collect ids of subtree in Query#project_statement

2015-12-27 19:08 - Ondřej Ezr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 3.3.0   

Description

It is inefficient in larger subtree - it would be nicer with pluck, but it would still result in ugly queries with more projects.

Best way is to use subquery in that cases

Related issues:

Related to Redmine - Defect #19976: Redmine can't work with 3000 projects Needs feedback

Related to Redmine - Feature #19102: Redmine doesnt scale with large amount o... Closed

Associated revisions

Revision 15135 - 2016-01-30 16:37 - Jean-Philippe Lang

Query project_statement - do not collect ids of subtree (#21611).

Patch by Ondřej Ezr.

History

#1 - 2015-12-28 01:24 - Go MAEDA

- Target version set to Candidate for next major release

According to #21608#note-3, this patch will resolve #19976 and #19102.

#2 - 2015-12-28 01:24 - Go MAEDA

- Related to Defect #19976: Redmine can't work with 3000 projects added

#3 - 2015-12-28 01:24 - Go MAEDA

- Related to Feature #19102: Redmine doesnt scale with large amount of projects added

#4 - 2016-01-03 10:00 - Jean-Philippe Lang

The patch breaks a few tests. It displays issues from subpprojects even if display_subprojects_issues setting is disabled.

#5 - 2016-01-03 19:45 - Ondřej Ezr

- File query_project_statement_2.diff added

I see... I frogot one case in the statement.

#6 - 2016-01-19 13:07 - Go MAEDA

Thanks for updating the patch. It have passed all tests.

#7 - 2016-01-26 04:54 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.3.0

#8 - 2016-01-30 16:38 - Jean-Philippe Lang

- Subject changed from Query project_statement - do not collect ids of subtree. to Do not collect ids of subtree in Query#project_statement

- Category set to Code cleanup/refactoring

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang
https://www.redmine.org/issues/21608#note-3
https://www.redmine.org/issues/19976
https://www.redmine.org/issues/19102


Committed, thanks!

Files

query_project_statement.diff 1.41 KB 2015-12-27 Ondřej Ezr

query_project_statement_2.diff 1.5 KB 2016-01-03 Ondřej Ezr
